#
# spec file for package crafty
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:           crafty
Summary:        A Chess Program
Version:        23.4
Release:        150500.1.pm.6
Url:            http://www.craftychess.com/
License:        Contact author
Group:          Amusements/Games/Board/Chess
Provides:       chess_backend
BuildRequires:  gcc-c++ unzip 
Source:         %{name}-%{version}.zip
Source1:        crafty-misc.tar.bz2
Source2:        bitmaps.tar.bz2
Source100:	%{name}.changes
Patch0:		%{name}-%{version}-security-203541.patch
Patch1:         %{name}-%{version}-Makefile.patch
Patch2:		%{name}-%{version}-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A strong playing chess program. It uses opening books and endgame
databases. The graphical interface (xcrafty) requires the xboard
package.



Authors:
--------
    Bob Hyatt <hyatt@cis.uab.edu>



%prep
%setup -q
%setup -q -T -D -a 1 -a 2
%patch0 -p0
%patch1 -p0
%patch2 -p0
mkdir .crafty
touch .craftyrc .crafty/book.bin .crafty/books.bin
chmod 755 bitmaps
chmod 644 bitmaps/*
rm bitmaps/gifs.tar

%build
%ifarch x86_64
make CFLAGS="%{optflags}" linux-amd64
%else
make CFLAGS="%{optflags}" linux
%endif
/bin/sh make_books 
# large_book.bin is incompatible with newer versions of crafty
# use newest book.bin (available from ftp://ftp.cis.uab.edu/pub/hyatt/book/) instead
mv book.bin20090324 book.bin

%install
install -Dm 755 crafty $RPM_BUILD_ROOT/usr/bin/crafty
install -m 755 xcrafty $RPM_BUILD_ROOT/usr/bin
install -m 755 speak $RPM_BUILD_ROOT/usr/bin/crafty-speak
install -Dm 644 crafty.6 $RPM_BUILD_ROOT%{_mandir}/man6/crafty.6
ln -s crafty.6.gz $RPM_BUILD_ROOT%{_mandir}/man6/xcrafty.6.gz
install -d -m 755 $RPM_BUILD_ROOT/usr/share/crafty/tb
install -d -m 755 $RPM_BUILD_ROOT/usr/share/crafty/bitmaps
install -d -m 755 $RPM_BUILD_ROOT/usr/share/crafty/sound
install -m 644 smallbook.bin book.bin bookc.bin books.bin crafty.hlp $RPM_BUILD_ROOT/usr/share/crafty
install -m 644 tb/k[bnpqr]k.nb[bw].emd $RPM_BUILD_ROOT/usr/share/crafty/tb
install -m 644 bitmaps/* $RPM_BUILD_ROOT/usr/share/crafty/bitmaps
install -Dm 644 %{name}.rc $RPM_BUILD_ROOT/etc/%{name}.rc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/crafty.doc
%doc doc/crafty.faq
%doc doc/read.me
%doc doc/tournament.howto
%doc README.SuSE
%{_bindir}/crafty
%{_bindir}/xcrafty
%{_bindir}/crafty-speak
%{_mandir}/man6/crafty.6.gz
%{_mandir}/man6/xcrafty.6.gz
%{_datadir}/crafty
%config(noreplace) %{_sysconfdir}/%{name}.rc

%changelog
* Fri Nov 12 2010 packman@links2linux.de - 23.4
- updated to 23.4
- patches refreshed
* Sun Sep 19 2010 packman@links2linux.de - 23.3
- updated to 23.3
- patches refreshed
* Mon Jul 12 2010 packman@links2linux.de - 23.2
- added -fno-strict-aliasing to CFLAGS
- fixed script make_books to use relative paths
* Sat Mar  6 2010 packman@links2linux.de - 23.2
- updated to 23.2
  * This release includes some Xboard compatibility updates
    as well as a small ELO increase over version 23.1 (about +10 ELO)
- patches refreshed
* Sat Nov 21 2009 AxelKoellhofer@web.de - 23.1
- updated to 23.1
* Mon Aug 24 2009 AxelKoellhofer@web.de - 23.1
- modified script "xcrafty" to use a smaller boardsize
* Sat Aug 15 2009 AxelKoellhofer@web.de - 23.1
- added patch to set some paths according to the installed package
  crafty will now read /etc/crafty.rc and use books, endgame tables
  as well as the help file from /usr/share/crafty if no user-specific
  $HOME/.craftyrc and $HOME/.crafty/ exist
- added smallbook.bin
* Tue Aug 11 2009 AxelKoellhofer@web.de - 23.0
- updated to 23.0
- added new (and compatible) book.bin
- changed make_books to build a bookc.bin file (computer opening book)
- added minimal /etc/crafty.rc example-file
- updated crafty-Makefile.patch for building with openSUSE >= 11.2 (thx to gentoo upstream for the decisive hint)
- added security-203541.patch, see http://bugs.debian.org/203541 for more information
* Mon Sep 22 2008 lars@linux-schulserver.de
- moved to Education base repository
* Tue Jun 10 2008 lars@linux-schulserver.de
- compile on amd64
- add numactl only on ix86 machines
* Wed Jun  4 2008 lars@linux-schulserver.de
- remove numactl from buildrequires
* Thu Apr 17 2008 lars@linux-schulserver.de
- update to 22.1
* Thu Mar 29 2007 coolo@suse.de
- fix BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 snwint@suse.de
- update to 20.1
- use larger opening book
* Thu Sep  8 2005 snwint@suse.de
- man page file permission fix (#114849)
* Fri Jul 15 2005 snwint@suse.de
- update to version 19.19
* Mon Sep 20 2004 snwint@suse.de
- fixed annotate bitmap path (found by Matthew Gatto)
- install crafty.hlp
- fixed some compile warnings
* Fri Sep  3 2004 snwint@suse.de
- new version
* Tue Apr 27 2004 ro@suse.de
- use RPM_OPT_FLAGS
- added -fno-strict-aliasing
* Thu Apr  1 2004 snwint@suse.de
- removed some strcpy()'s to avoid some security risk (#36274)
* Mon Mar  8 2004 snwint@suse.de
- new version
* Wed Jul 23 2003 coolo@suse.de
- use BuildRoot
* Sat Feb 15 2003 snwint@suse.de
- new version
* Tue Feb  4 2003 sbrabec@suse.cz
- Provide chess_backend.
* Wed Sep 11 2002 snwint@suse.de
- compile on ppc64
* Mon Aug 12 2002 snwint@suse.de
- upgraded to new version
* Fri Jul 12 2002 snwint@suse.de
- make it build on ppc64
* Tue May 28 2002 snwint@suse.de
- make it build on more archs
* Thu Mar 14 2002 snwint@suse.de
- fixed typo to make it build on non-ia32 archs
* Mon Feb 11 2002 snwint@suse.de
- updated to v18.13
- build without SMP support, the EGTB code doesn't like it
* Wed Jul 18 2001 snwint@suse.de
- use SMP on all architectures
* Tue Jul 17 2001 snwint@suse.de
- link with g++
- work around stdarg problem on ppc & s390
* Mon Jul 16 2001 snwint@suse.de
- upgraded to new version
* Mon Jun  4 2001 kukuk@suse.de
- Fix to compile on more non-x86 architectures
* Sat Dec  9 2000 nashif@suse.de
- sorted
* Wed Jun 21 2000 schwab@suse.de
- Fix makefile for ia64.
* Tue Mar 21 2000 ro@suse.de
- fixed to compile on alpha
* Sun Mar  5 2000 snwint@suse.de
- updated intel version; axp, ppc etc will need Makefile fixes
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 uli@suse.de
- fixed for PPC
* Tue Jun 22 1999 uli@suse.de
- fixed for AXP
* Thu Jun 10 1999 snwint@suse.de
- wrote a man page
* Wed Jun  9 1999 snwint@suse.de
- created the package
- moved crafty's config/log/rc files to ~/.crafty/ and ~/.craftyrc
- tablebases are active by default
